# vitepress 自定义主题

## 安装主题

```shell
pnpm install ppst-vitepress-theme
```

## demo项目

直接运行demo目录

### demo目录结构

#### .vitepress文件夹

config.ts  - 配置自定义vitepress导航以及标题等

theme/override.css  重置样式


#### pages文件夹

配置二级目录页面（可自定义布局页面），默认有 CategoryPage DefaultPage，如果需要自定义布局请在.vitepress/theme/index.ts定义

#### posts 文件夹

所有文档

文档内容:
```md
---
title: default
date: 2018-09-14 13:57:02
category: default
tags:
  - default
---
```

title 为文档标题
date 创建时间
category 分类
tags  标签
#### public文件夹
favicon.ico 网站图标
img文件 公共图片文件夹


#### index.html 文件
首页配置

