const { getPosts } = require('markdown-from-posts')
async function config() {
  return {
    extends: {
      markdown: {
        headers: {
          level: [2, 3]
        }
      },
    },
    themeConfig: {
      posts:await getPosts(),
      title: 'AAAAA',
      description: '自定义主题AAAA',
      docRoot:'demo',
      hasDarkSwitch:true,
      homeConfig:{
        headline:'AAAA大标题',//大标题
        headlineHeight:'AAAA高亮',//大标题高亮
        subheading:'AAAA小标题',//小标题
        subheadingHeight:'小标题高亮',//小标题高亮
        description:'自定义主题，简短banner描述',//描述
      },

      nav: [
        { text: '首页', link: '/', icon: '' }
      ],
      footer: {
        copyright: '湘ICP备aaaaaaaa-1'
      }
    }
  }
}
module.exports = config()
