
import path from 'path'
import baseConfig from '../../src/vitepress/config/baseConfig'

async function config() {
  return {
    extends: baseConfig,
    vite: {
      build: {
        minify: false
      },
      resolve: {
        alias: {
          'ppst-vitepress-theme': path.join(__dirname, '../../src')
        }
      }
    },
    themeConfig: {
      title: 'AAAAA',
      description: '自定义主题AAAA',
      docRoot:'test',
      hasDarkSwitch:true,
      homeConfig:{
        headline:'AAAA大标题',//大标题
        headlineHeight:'AAAA高亮',//大标题高亮
        subheading:'AAAA小标题',//小标题
        subheadingHeight:'小标题高亮',//小标题高亮
        description:'自定义主题，简短banner描述',//描述
      },

      nav: [
        { text: '首页', link: '/', icon: '' },
        { text: '归档', link: '/pages/archives', icon: '' },
        { text: '默认', link: '/pages/default', icon: '' },
        { text: '分类', link: '/pages/category', icon: '' },
        { text: '搜索', link: '/pages/search', icon: '' },
      ],
      footer: {
        copyright: '湘ICP备aaaaaaaa-1'
      }
    }
  }
}
module.exports = config()
